org.eclipse.rdf4j.query.parser.sparql.manifest

## Class SPARQLSyntaxComplianceTest

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQLComplianceTest
  - - org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQLSyntaxComplianceTest

- Direct Known Subclasses:
    SPARQL11SyntaxComplianceTest

      public abstract class SPARQLSyntaxComplianceTest
      extends SPARQLComplianceTest

  A test suite that runs SPARQL syntax tests.
  Author:
    Jeen Broekstra

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPARQLSyntaxComplianceTest(String displayName, String testURI, String name, String queryFileURL, boolean positiveTest)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Collection<Object[]>` | `data()`
    `protected abstract ParsedOperation` | `parseOperation(String operation, String fileURL)`
    `protected void` | `runTest()`

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQLComplianceTest

      `addIgnoredTest, compareGraphs, getDataRepository, getDisplayName, getIgnoredTests, getName, getTestURI, includeSubManifest, printBindingSet, setIgnoredTests, test, upload, uploadDataset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SPARQLSyntaxComplianceTest

          public SPARQLSyntaxComplianceTest(String displayName,
                                            String testURI,
                                            String name,
                                            String queryFileURL,
                                            boolean positiveTest)

  - ### Method Detail

    - #### data

          public static Collection<Object[]> data()

    - #### parseOperation

          protected abstract ParsedOperation parseOperation(String operation,
                                                            String fileURL)
                                                     throws MalformedQueryException

      Throws:
        `MalformedQueryException`

    - #### runTest

          protected void runTest()
                          throws Exception

      Specified by:
        `runTest` in class `SPARQLComplianceTest`
      Throws:
        `Exception`

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.